Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:03:11

0001 #!/bin/bash
0002 
0003 check_for_success() {
0004     "${@}" && echo -e "\n ---> Passed test of '${@}'\n\n" || exit 1
0005 }
0006 
0007 function die { echo $1: status $2; exit $2; }
0008 
0009 ########################################
0010 # Test help function
0011 ########################################
0012 check_for_success run_AlCaRecoTriggerBitsUpdateWorkflow.py --help
0013 
0014 ########################################
0015 # Test update AlCaRecoTriggerBits
0016 ########################################
0017 run_AlCaRecoTriggerBitsUpdateWorkflow.py -f frontier://PromptProd/CMS_CONDITIONS -i AlCaRecoHLTpaths8e29_1e31_v24_offline -d AlCaRecoHLTpaths_TEST || die 'failed running run_AlCaRecoTriggerBitsUpdateWorkflow.py' $?
0018 
0019 ########################################
0020 # Test read AlCaRecoTriggerBits
0021 ########################################
0022 cmsRun $CMSSW_BASE/src/CondTools/HLT/test/AlCaRecoTriggerBitsRcdRead_TEMPL_cfg.py inputDB=sqlite_file:AlCaRecoHLTpaths_TEST.db inputTag=AlCaRecoHLTpaths_TEST || die 'failed running AlCaRecoTriggerBitsRcdRead_TEMPL_cfg.py' $?